Create a new PostgreSQL firewall rule
curl --request POST \
--url https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/firewall-rule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cidr": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/firewall-rule"
payload = {
"cidr": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cidr: '<string>', description: '<string>'})
};
fetch('https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/firewall-rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cidr": "<string>",
"id": "frmjgkgbktw62k53005jpx8tt7",
"description": "<string>",
"port": 123
}{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}Postgres Firewall Rule
Create a new PostgreSQL firewall rule
POST
/
project
/
{project_id}
/
location
/
{location}
/
postgres
/
{postgres_database_reference}
/
firewall-rule
Create a new PostgreSQL firewall rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Ubicloud location/region
Example:
"eu-central-h1"
Postgres database ID or name Resource ID or name
Pattern:
^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$ID of the project
Pattern:
^pj[0-9a-hj-km-np-tv-z]{24}$Example:
"pjkkmx0f2vke4h36nk9cm8v8q0"
Body
application/json
⌘I